import Axios from '@/utils/request'
// 获取巡检清单列表
export function areaList (params) {
  return Axios({
    url: '/app/checkTask/areaList',
    method: 'get',
    params
  })
}
// 获取区域下巡检清单列表
export function getAreaCheckTaskList (params) {
  return Axios({
    url: '/app/checkTask/getAreaCheckTaskList',
    method: 'get',
    params
  })
}
// 获取分析单元下巡检清单列表
export function getCheckTaskInventoryListByRistUnitId (params) {
  return Axios({
    url: '/app/checkTask/getCheckTaskInventoryListByRistUnitId',
    method: 'get',
    params
  })
}
// 巡检打卡
export function register (data) {
  return Axios({
    url: `/app/checkTask/register?areaCode=${data}`,
    method: 'post'
  })
}
